s6
Software
skarnet.org

# The `s6-ipcclient` program

`s6-ipcclient` is an UCSPI client tool for Unix domain sockets. It connects to a socket, then executes into a program.

## Interface

         s6-ipcclient [ -q | -Q | -v ] [ -p localpath ] [ -l localname ] path prog...

- s6-ipcclient connects to a Unix domain socket on path.
- It executes into prog... with descriptor 6 reading from the socket and descriptor 7 writing to it.

## Environment variables

prog... is run with the following variables set:

- PROTO: always set to IPC
- IPCLOCALPATH: set to the path associated with the local socket, if any. Be aware that it may contain arbitrary characters.

## Options

- `-q` : be quiet.
- `-Q` : be normally verbose. This is the default.
- `-v` : be verbose.
- `-p localpath` : bind the local socket to localpath before connecting to path.
- `-l localname` : use localname as the value of the IPCLOCALPATH environment variable.

## Notes

- s6-ipcclient is mostly used to connect a client to a local service without having to implement networking in the client. For instance, the s6-sudo program does this.